Name:          libseccomp
Version:       2.5.5
Release:       1mamba
Summary:       High level interface to the Linux Kernel's seccomp filter
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/libseccomp/
Source:        https://github.com/seccomp/libseccomp.git/v%{version}/libseccomp-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
High level interface to the Linux Kernel's seccomp filter.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Security
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libseccomp.so.*
%doc CREDITS LICENSE

%files devel
%defattr(-,root,root)
%{_includedir}/seccomp.h
%{_includedir}/seccomp-syscalls.h
%{_libdir}/libseccomp.a
%{_libdir}/libseccomp.so
%{_libdir}/pkgconfig/libseccomp.pc
%{_mandir}/man3/seccomp_*.3*

%files tools
%defattr(-,root,root)
%{_bindir}/scmp_sys_resolver
%{_mandir}/man1/scmp_sys_resolver.1*

%changelog
* Mon Dec 04 2023 Automatic Build System <autodist@mambasoft.it> 2.5.5-1mamba
- automatic version update by autodist

* Fri Apr 22 2022 Automatic Build System <autodist@mambasoft.it> 2.5.4-1mamba
- automatic version update by autodist

* Sat Nov 06 2021 Automatic Build System <autodist@mambasoft.it> 2.5.3-1mamba
- automatic version update by autodist

* Thu Sep 02 2021 Automatic Build System <autodist@mambasoft.it> 2.5.2-1mamba
- automatic version update by autodist

* Wed Dec 02 2020 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Fri Feb 28 2020 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Thu May 23 2019 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Tue Mar 19 2019 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Wed Jun 27 2018 Automatic Build System <autodist@mambasoft.it> 2.3.3-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Fri Jul 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.1-1mamba
- package created using the webbuild interface
